Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064314 - [abrt] cinnamon-screensaver: _dbus_list_unlink(): cinnamon-screensaver-dialog killed by SIGSEGV
Summary: [abrt] cinnamon-screensaver: _dbus_list_unlink(): cinnamon-screensaver-dialog...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon-screensaver
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:09ba4a38dfb7864545daf2f02b0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-12 12:10 UTC by James Sunshine
Modified: 2015-06-29 15:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:09:46 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-12 12:10 UTC, James Sunshine
no flags Details
File: cgroup (deleted)
2014-02-12 12:10 UTC, James Sunshine
no flags Details
File: core_backtrace (deleted)
2014-02-12 12:10 UTC, James Sunshine
no flags Details
File: dso_list (deleted)
2014-02-12 12:10 UTC, James Sunshine
no flags Details
File: environ (deleted)
2014-02-12 12:10 UTC, James Sunshine
no flags Details
File: exploitable (deleted)
2014-02-12 12:10 UTC, James Sunshine
no flags Details
File: limits (deleted)
2014-02-12 12:10 UTC, James Sunshine
no flags Details
File: maps (deleted)
2014-02-12 12:10 UTC, James Sunshine
no flags Details
File: open_fds (deleted)
2014-02-12 12:10 UTC, James Sunshine
no flags Details
File: proc_pid_status (deleted)
2014-02-12 12:10 UTC, James Sunshine
no flags Details
File: var_log_messages (deleted)
2014-02-12 12:10 UTC, James Sunshine
no flags Details

Description James Sunshine 2014-02-12 12:10:03 UTC
Version-Release number of selected component:
cinnamon-screensaver-2.0.3-1.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/libexec/cinnamon-screensaver-dialog --enable-switch
crash_function: _dbus_list_unlink
executable:     /usr/libexec/cinnamon-screensaver-dialog
kernel:         3.12.10-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _dbus_list_unlink at dbus-list.c:491
 #1 _dbus_list_remove_link at dbus-list.c:519
 #2 _dbus_message_remove_counter at dbus-message.c:360
 #3 _dbus_connection_message_sent_unlocked at dbus-connection.c:671
 #4 do_writing at dbus-transport-socket.c:680
 #5 socket_do_iteration at dbus-transport-socket.c:1075
 #6 _dbus_transport_do_iteration at dbus-transport.c:976
 #7 _dbus_connection_do_iteration_unlocked at dbus-connection.c:1234
 #8 _dbus_connection_send_preallocated_unlocked_no_update at dbus-connection.c:2040
 #9 _dbus_connection_send_unlocked_no_update at dbus-connection.c:3222

Comment 1 James Sunshine 2014-02-12 12:10:12 UTC
Created attachment 862249 [details]
File: backtrace

Comment 2 James Sunshine 2014-02-12 12:10:15 UTC
Created attachment 862250 [details]
File: cgroup

Comment 3 James Sunshine 2014-02-12 12:10:18 UTC
Created attachment 862251 [details]
File: core_backtrace

Comment 4 James Sunshine 2014-02-12 12:10:23 UTC
Created attachment 862252 [details]
File: dso_list

Comment 5 James Sunshine 2014-02-12 12:10:26 UTC
Created attachment 862253 [details]
File: environ

Comment 6 James Sunshine 2014-02-12 12:10:29 UTC
Created attachment 862254 [details]
File: exploitable

Comment 7 James Sunshine 2014-02-12 12:10:32 UTC
Created attachment 862255 [details]
File: limits

Comment 8 James Sunshine 2014-02-12 12:10:36 UTC
Created attachment 862256 [details]
File: maps

Comment 9 James Sunshine 2014-02-12 12:10:39 UTC
Created attachment 862257 [details]
File: open_fds

Comment 10 James Sunshine 2014-02-12 12:10:41 UTC
Created attachment 862258 [details]
File: proc_pid_status

Comment 11 James Sunshine 2014-02-12 12:10:44 UTC
Created attachment 862259 [details]
File: var_log_messages

Comment 12 Sam Mingo 2014-10-20 15:55:27 UTC
Another user experienced a similar problem:

System continues to leak memory, so I've been using the Restart Cinnamon applet to periodically restart Cinnamon to free up memory that haven't been getting released properly. During one of these restarts the Cinnamon screensaver threw this message/failure.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/cinnamon-screensaver-dialog --enable-switch
crash_function: _dbus_list_unlink
executable:     /usr/libexec/cinnamon-screensaver-dialog
kernel:         3.16.3-200.fc20.x86_64
package:        cinnamon-screensaver-2.2.4-1.fc20
reason:         cinnamon-screensaver-dialog killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-05-29 10:53:51 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 15:09:46 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.